# This is the default configuration file of BungeeTabListPlus.
#
# Since the configuration of the plugin is quite complex you
# might want to have a look at the wiki from time to time.
#
# Wiki: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki
#  Placeholders: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Placeholders
#  Examples: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Examples
#

showTo: all
priority: 0

showHeaderFooter: true
header:
  - "&cWelcome &f${viewer name}"
  - "&eW&celcome &f${viewer name}"
  - "&eWe&clcome &f${viewer name}"
  - "&eWel&ccome &f${viewer name}"
  - "&eWelc&come &f${viewer name}"
  - "&eWelco&cme &f${viewer name}"
  - "&eWelcom&ce &f${viewer name}"
  - "&eWelcome &f${viewer name}"
  - "&cW&eelcome &f${viewer name}"
  - "&cWe&elcome &f${viewer name}"
  - "&cWel&ecome &f${viewer name}"
  - "&cWelc&eome &f${viewer name}"
  - "&cWelco&eme &f${viewer name}"
  - "&cWelcom&ee &f${viewer name}"
  - "&cWelcome &f${viewer name}"
headerAnimationUpdateInterval: 1.0
footer: |-
  &E欢迎您来到服务器 &7>>> &a目前在线总人数 &f&L${playerset:global size}
  &f服务器地址:&7 mc.starmc.cn

# Configure whether hidden players appear on the tab list
# see https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Hidden-Players
hiddenPlayers: VISIBLE_TO_ADMINS


type: FIXED_SIZE
size: 80

defaultIcon: colors/dark_gray.png
defaultPing: 1000


# 设置分组显示
playerSets:
  # 所有的玩家
  global:
    filter: "all"
  lobby:
    filter: ${player server} == "login"
  server1:
    filter: ${player server} == "server1" or ${player server} == "server1-2" or ${player server} == "server1-3"
  server2:
    filter: ${player server} == "server2" or ${player server} == "server2-2"
  server3:
    filter: ${player server} == "server2" or ${player server} == "server2-2"

# 设置列表内容格式
components:
# 设置使用竖向排序
- !table
  columns:
    # 每数列序号，从0开始
    0: 
    - {text: "    &a登陆服 §7(${playerset:lobby size})   ", icon: "colors/green.png", ping: 0}
    - !players 
      playerSet: lobby
      playerComponent: "${player vault_prefix}&f${player name}"
      morePlayersComponent: {text: "... 还有 ${other_count} 玩家s", icon: "default/players.png", ping: 0}
    1: 
    - {text: "    &c服务器1 §7(${playerset:server1 size})   ", icon: "colors/green.png", ping: 0}
    - !players
      playerSet: server1
      playerComponent: "${player vault_prefix}&f${player name}"
      morePlayersComponent: {text: "... 还有 ${other_count} 玩家", icon: "default/players.png", ping: 0}
    2: 
    - {text: "    &c服务器2 §7(${playerset:server2 size})   ", icon: "colors/green.png", ping: 0}
    - !players 
      playerSet: server2
      playerComponent: "${player vault_prefix}&f${player name}"
      morePlayersComponent: {text: "... 还有 ${other_count} 玩家", icon: "default/players.png", ping: 0}
    3: 
    - {text: "    &c服务器3 §7(${playerset:server3 size})   ", icon: "colors/green.png", ping: 0}
    - !players 
      playerSet: server3
      playerComponent: "${player vault_prefix}&f${player name}"
      morePlayersComponent: {text: "... 还有 ${other_count} 玩家", icon: "default/players.png", ping: 0}
      
      

# Custom placeholders are a powerful mechanism to add more dynamic content
# to the tab list.
# See https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Custom=Placeholders
customPlaceholders:
  afk_tag:
    !conditional
    condition: ${player essentials_afk}
    true: "&7|&oaway"
    false: ""
  viewer_colored_ping:
    !conditional
    condition: "${viewer ping} < 150"
    true: ${viewer_colored_ping0}
    false: "&c${viewer ping}"
  viewer_colored_ping0:
    !conditional
    condition: "${viewer ping} < 50"
    true: "&a${viewer ping}"
    false: "&e${viewer ping}"